import pytest

from kheops.plugin.scope.loop import Plugin


lookups = [
        {
            '_run':{ 'scope': { 'my': 'scope'}},},
        ]

conf = {
    'var': 'item_loop',
    'data': {
            "my": 'data',
            },
        }
        

@pytest.mark.parametrize(    
    ""
    [
        test_case("Validate simple loop",
            [
                lookups, conf,
                ],
            None,
            ),
        ])
def test_plugin():

    plugin = Plugin()
    ret = plugin.process_items()


